package com.ruoyi.ss.userCard.service;

import java.util.List;
import com.ruoyi.ss.userCard.domain.UserCard;
import com.ruoyi.ss.userCard.domain.UserCardVO;
import com.ruoyi.ss.userCard.domain.UserCardQuery;

/**
 * 用户卡券Service接口
 *
 * @author qzz
 * @date 2025-03-19
 */
public interface IUserCardService
{
    /**
     * 查询用户卡券
     *
     * @param recordId 用户卡券主键
     * @return 用户卡券
     */
    public UserCardVO selectUserCardById(Long recordId);

    /**
     * 查询用户卡券列表
     *
     * @param userCard 用户卡券
     * @return 用户卡券集合
     */
    public List<UserCardVO> selectUserCardList(UserCardQuery userCard);

    /**
     * 新增用户卡券
     *
     * @param userCard 用户卡券
     * @return 结果
     */
    public int insertUserCard(UserCard userCard);

    /**
     * 修改用户卡券
     *
     * @param userCard 用户卡券
     * @return 结果
     */
    public int updateUserCard(UserCard userCard);

    /**
     * 批量删除用户卡券
     *
     * @param recordIds 需要删除的用户卡券主键集合
     * @return 结果
     */
    public int deleteUserCardByRecordIds(Long[] recordIds);

    /**
     * 删除用户卡券信息
     *
     * @param recordId 用户卡券主键
     * @return 结果
     */
    public int deleteUserCardByRecordId(Long recordId);

    /**
     * 获取用户可用卡券
     */
    List<UserCardVO> getAvailableCard(Long userId);
}
